//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-checkstyle-plugin/src/main/groovy/org/openscm/kundo/plugins/CheckstyleDelegate.groovy
//

package org.openscm.kundo.plugins;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import org.openscm.kundo.plugins.context.BuildContext;

/**
 * Checkstyle Delegate
 *
 * @author <a href="mailto:steve.king@upco.co.uk">Steve king</a>
 * @version 1.0.0

Description: A Checkstyle Delegate that creates Checkstyle reports

<p>The Checkstyle plugin creates checkstyle reports on configurable coding standards</p>

<p>The doCheckstyle target will run the checkstyle Ant task over your specified source folders.
it is also possible to specify a comma separated list of extra folders to check using the
checkstyle.optional.dirs property. Reports will be printed in XML by default but can also
be generated in html by use of the ant properties below.</p>
 */
public class CheckstyleDelegate
    extends AbstractPluginTargetDelegate
{
    private java.lang.String enabled = null;
    public java.lang.String getEnabled() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.String printHtmlReport = null;
    public java.lang.String getPrintHtmlReport() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.String xmlreportdir = null;
    public java.lang.String getXmlreportdir() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.String htmlreportdir = null;
    public java.lang.String getHtmlreportdir() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.String xmlreportname = null;
    public java.lang.String getXmlreportname() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.String htmlreportname = null;
    public java.lang.String getHtmlreportname() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.String config = null;
    public java.lang.String getConfig() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.String stylesheet = null;
    public java.lang.String getStylesheet() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.String allowTestdir = null;
    public java.lang.String getAllowTestdir() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.String failonviolation = null;
    public java.lang.String getFailonviolation() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.String optionalDirs = null;
    public java.lang.String getOptionalDirs() {
        throw new InternalError("Stubbed method");
    }

    private CheckstyleDelegate(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        super((AntBuilder)null, (BuildContext)null);

        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor sets ant and buildContext instances in super class
     *
     * @param ant AntBuilder instance
     * @param buildContext BuildContext instance
     */
    public CheckstyleDelegate(AntBuilder ant, BuildContext buildContext) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable enabled
     *
     * @param enabled String representation of a flag to enable checkstyle reporting
     */
    public void setEnabled(java.lang.String enabled) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable enabled
     *
     * @param printHtmlReport String representation of if html report should be generated
     */
    public void setPrintHtmlReport(java.lang.String printHtmlReport) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable reportdir
     *
     * @param xmlreportdir String representation of the directory path to write xml reports to
     */
    public void setXmlreportdir(java.lang.String xmlreportdir) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable reportdir
     *
     * @param htmlreportdir String representation of the directory path to write html reports to
     */
    public void setHtmlreportdir(java.lang.String htmlreportdir) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable reportname
     *
     * @param xmlreportname String representation of xml report name
     */
    public void setXmlreportname(java.lang.String xmlreportname) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable reportname
     *
     * @param htmlreportname String representation of html report name
     */
    public void setHtmlreportname(java.lang.String htmlreportname) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable enabled
     *
     * @param config String representation of the checkstyle_config.xml file location
     */
    public void setConfig(java.lang.String config) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable enabled
     *
     * @param stylesheet String representation of the xsl file location
     */
    public void setStylesheet(java.lang.String stylesheet) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable reportdir
     *
     * @param allowTestdir String representation ....
     */
    public void setAllowTestdir(java.lang.String allowTestdir) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable failonviolation
     *
     * @param failonviolation String representation ....
     */
    public void setFailonviolation(java.lang.String failonviolation) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable optionalDirs
     *
     * @param optionalDirs Comma separated list of optional directories to run checkstyle on
     */
    public void setOptionalDirs(java.lang.String optionalDirs) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Private method for executing the checkstyle report
     */
    private void checkstyle() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Implementation of abstract method from AbstractPluginTargetDelegate
     * to hold assertions that all global and local properties are available to the plugin.
     * This method is automatically called prior to execution.
     */
    public void doCheck() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Implementation of abstract method from AbstractPluginTargetDelegate
     * this method is automatically called.
     */
    public void doExecute() {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
